м 1.1.0

Does м work with WordPress 6.1.1 and PHP 8.1.12? A smoke test was performed on .

Summary

Errors
31PHP deprecation warnings
No JavaScript exceptions
All test pages loaded successfully
No resource errors
Performance

Memory usage: 34.37 KiB
The average PHP memory usage increased by this amount after activating by the plugin.

Page speed impact: insignificant.
The plugin didn't make the site noticeably slower.

Environment
WordPress version6.1.1
PHP version8.1.12
MySQL version10.6.10
PHP memory limit512M
Plugin Info
Last updated
Active installs 20+
WordPress.org page https://wordpress.org/plugins/userchat/
Badges

WordPress compatibility badge PHP compatibility badge

Get badge code

Pages 3

Plugins ‹ Test site — WordPress

Page screenshot: Plugins ‹ Test site — WordPress
URL /wp-admin/plugins.php?plugin_status=all&paged=1&s
Requested URL /wp-admin/plugins.php?action=activate&plugin=userchat%2Fuserchat.php&plugin_status=all&paged=1&s&_wpnonce=3ac264fc37
Aspect after-activation
HTTP status 200
Load time 0.231 s
Memory usage 3.03 MiB
JS errors None
Resource errors None

Settings → UserChat

Page screenshot: Settings → UserChat
URL /wp-admin/options-general.php?page=userchat
Aspect menu-item
HTTP status 200
Load time 0.147 s
Memory usage 3.01 MiB
JS errors None
Resource errors None

Test site – Just another WordPress site

Page screenshot: Test site – Just another WordPress site
URL /
Aspect front-page
HTTP status 200
Load time 0.208 s
Memory usage 2.98 MiB
JS errors None
Resource errors None

Benchmark

URL Load time Memory usage
Inactive Active Change Inactive Active Change
/wp-admin/index.php0.285 s0.237 s-0.048 s3.05 MiB3.09 MiB+ 42.23 KiB
/wp-admin/edit.php0.186 s0.180 s-0.006 s3.07 MiB3.12 MiB+ 42.23 KiB
/wp-admin/post-new.php0.769 s0.609 s-0.160 s4.97 MiB5.02 MiB+ 50.59 KiB
/wp-admin/upload.php0.604 s0.372 s-0.232 s2.99 MiB3.02 MiB+ 24.62 KiB
/wp-admin/options-writing.php0.176 s0.206 s+0.030 s2.99 MiB3 MiB+ 10.65 KiB
/wp-admin/media-new.php0.279 s0.235 s-0.044 s2.97 MiB3 MiB+ 36.81 KiB
/wp-admin/edit-tags.php?taxonomy=category0.204 s0.182 s-0.022 s2.98 MiB3.02 MiB+ 41.98 KiB
/wp-admin/post-new.php?post_type=page0.642 s0.634 s-0.008 s4.96 MiB5 MiB+ 41.24 KiB
/wp-admin/options-discussion.php0.208 s0.204 s-0.004 s2.97 MiB3 MiB+ 24.8 KiB
/wp-admin/edit-comments.php0.216 s0.206 s-0.010 s3 MiB3.02 MiB+ 23.88 KiB
/0.293 s0.218 s-0.075 s2.94 MiB2.98 MiB+ 38.98 KiB
Average 0.351 s0.298 s-0.053 s3.35 MiB3.39 MiB+ 34.37 KiB

Code Statistics

Note: Third-party libraries and minified JS/CSS files are excluded from these statistics where possible, so the numbers you see here may be lower than those reported by other tools.

PHP
PO File
Language % Lines of code Comment lines Files
PHP54.4%228121
PO File35.3%148342
CSS7.2%3001
JavaScript3.1%1311
Total 419 47 5

PHP Code Analysis | More results »

Lines of code 230
Total complexity 45
Median class complexity 0.0
Median method complexity 0.0
Most complex class
Most complex function userchat_save_main_settings()
Classes 0
Methods 0
Functions 13

Additions

Things that the plugin adds to the site. This section is not intended to be comprehensive. The test tool only looks for a few specific types of added content.

Options wp_options 1

PHP Error Log 31 lines

[23-Nov-2022 10:00:22 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:22 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:23 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:23 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:23 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:23 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:25 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:25 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:25 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:25 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:26 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:26 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:28 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:28 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:28 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:28 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:28 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:28 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:29 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:29 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:29 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:29 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:31 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:31 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:31 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:31 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:32 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:32 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:32 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:32 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
[23-Nov-2022 10:00:32 UTC] PHP Deprecated:  Function has_cap was called with an argument that is <strong>deprecated</strong> since version 2.0.0! Usage of user levels is deprecated. Use capabilities instead. in /wp-includes/functions.php on line 5667
See also: All tests for this plugin, How to Hide the "UserChat" Admin Menu